Skip to content

Event details.

GET
/api/infraprotect/namespaces/{namespace}/infraprotect/event/{event_id}
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/infraprotect/event/example \
--header 'Authorization: <Authorization>'

Returns details of an event. This allows customers to review any activity related to a DDoS attack.

Examples of this operation.

namespace
required
string

Namespace This request is supported only in system namespace.

event_id
required
string

Event ID ID of the event we want to GET details for.

A successful response.

Media typeapplication/json
Event response

Response to GET a single event.

object
event
object
attachments
Attachments

Attachments on an event.

Array<object>
Event attachment

Event attachment record (pcap, or any arbitrary file)

object
attachment_id
Attachment ID

ID of the attachment.

string
<= 1024 characters
attachment_type
string
default: ATTACHMENT_TYPE_UNKNOWN
Allowed values: ATTACHMENT_TYPE_UNKNOWN ATTACHMENT_TYPE_PCAP ATTACHMENT_TYPE_BINARY ATTACHMENT_TYPE_INVALID_PCAP ATTACHMENT_TYPE_OTHER
end_time
End time

End time as an RFC3339 string.

string format: date-time
<= 1024 characters
gos_name
GOS name

Generic object storage name of the attachment.

string
<= 1024 characters
gos_version
GOS version

Generic object storage version of the attachment.

string
<= 1024 characters
name
Name

Name of the attachment.

string
>= 6 characters <= 1024 characters
size_bytes
Size

Size of the attachment.

string format: int64
<= 1024 characters
start_time
Start time

Start time as an RFC3339 string.

string format: date-time
<= 1024 characters
creator
Creator

Creator of the event.

string
<= 1024 characters
description
Description

More detailed description of the event. Most of the time list of actions taken.

string
>= 21 characters <= 1024 characters
end_time
End time

End time as an RFC3339 string.

string format: date-time
<= 1024 characters
has_attachment
Has attachment

True if event has any attachment other than PCAP files.

boolean format: boolean
has_details
Has details

True if the event already has details assigned, otherwise false.

boolean format: boolean
id
Id

ID of the event used to uniquely identify it.

string
>= 1 <= 4094 <= 1024 characters
ip
IP

Target IP

string
<= 1024 characters
mitigation_id
Mitigation ID

Mitigation the event is related to.

string
<= 1024 characters
name
Name

Name of an event.

string
>= 6 characters <= 1024 characters
network_id
Network ID

Network the event is related to.

string
<= 1024 characters
start_time
Start time

Start time as an RFC3339 string.

string format: date-time
<= 1024 characters
Example
{
"event": {
"attachments": [
{
"attachment_type": "ATTACHMENT_TYPE_UNKNOWN"
}
]
}
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example